@font-face {
    font-family: "Monaspace Krypton";
    src: url("fonts/MonaspaceKrypton-Regular.woff2") format("woff2"),
         url("fonts/MonaspaceKrypton-Regular.woff") format("woff");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: "Monaspace Krypton";
    src: url("fonts/MonaspaceKrypton-Light.woff2") format("woff2"),
         url("fonts/MonaspaceKrypton-Light.woff") format("woff");
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: "Monaspace Krypton";
    src: url("fonts/MonaspaceKrypton-Bold.woff2") format("woff2"),
         url("fonts/MonaspaceKrypton-Bold.woff") format("woff");
    font-weight: bold;
    font-style: normal;
}

* { box-sizing: border-box; }
html { height: 100%; scroll-padding-top: 60px; }

body {
    height: 100%;
    margin: 0;
    padding-top: 60px;
    padding-bottom: 60px;
    line-height: 1.5em;
    font-family: "Monaspace Krypton", monospace;
    font-weight: normal;
    color: white;
    background: black;
}

h1 { font-weight: bold; }
h2 { font-weight: 300; }

a {
    color: black;
    background-color: white;
    margin: 1px;
    padding: 2px;
    border-radius: 4px;
    text-decoration: none;
}

a:hover {
    color: white;
    background: linear-gradient(270deg, #007070, #00A030, #007070);
    background-size: 600% 600%;
    animation: hover-gradient 4s linear infinite;
}

@keyframes hover-gradient {
    0% { background-position: -10% 50%; }
    100% { background-position: 110% 50%; }
}

header, footer {
    display: flex;
    justify-content: center;
    position: fixed;
    left: 0;
    right: 0;
    z-index: 10;
    padding: 10px;
    background: black;
}

header {
    top: 0;
    margin-bottom: 40px;
}

footer {
    bottom: 0;
    margin-top: 40px;
}

.section {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    min-height: 50vh;
    padding: 20px;
    background-attachment: fixed;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.textbox {
    margin: 20px;
    border-radius: 20px;
    background: #000000D0
}

#home {
    display: flex;
    align-items: center;
    justify-content: center;
}

#jtunes {
    background-image: url("images/section_jtunes.png");
}

#tardisphone {
    background-image: url("images/section_tardis.png");
}

#clubspace {
    background-image: url("images/section_clubspace.png");
}

#credits {
    padding-bottom: 60px;
    text-align: center;
    font-size: small;
    line-height: 1.2em;
    color: darkgrey;
}
